Bug 830995 - [abrt] anjuta-3.4.3-1.fc17: update_completion: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.4.3-1.fc17: update_completion: Process /usr/bin/anjuta was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:0c25aa6a3f79c065903b4d548f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 17:08 EDT by Paul
Modified: 2013-08-01 00:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.62 KB, text/plain)
2012-06-11 17:08 EDT, Paul
no flags Details
File: maps (51.29 KB, text/plain)
2012-06-11 17:08 EDT, Paul
no flags Details
File: dso_list (11.82 KB, text/plain)
2012-06-11 17:08 EDT, Paul
no flags Details

  None (edit)
Description Paul 2012-06-11 17:08:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        anjuta
comment:        I typed "Button.with_" the possible options arrived and while I was pressing down arrow to look through them Anjuta crashed.
crash_function: update_completion
executable:     /usr/bin/anjuta
kernel:         3.4.0-1.fc17.x86_64
pid:            1827
pwd:            /home/maxyan/gtk-vala/src
time:           pon, 11 cze 2012, 23:03:44
uid:            1000
username:       maxyan

backtrace:      Text file, 42622 bytes
dso_list:       Text file, 12108 bytes
maps:           Text file, 52519 bytes

build_ids:
:a5140fcda3a7f5ba24d54d12db8cca9a7ff9d540
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:7024c532984148e2b555c6194ff684a6d0e80d78
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:7716bc5c1738194dad6ec6679d05ae3782139288
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:22307a72e41eaddaa70945cf6df1628c267ac002
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e3354959e32e471066df83c93f98f33e75198697
:262ad89eaa65baf1e0aceb42a6b4faa74a0719d5
:822e9b3523e8312240f41a25722d539bc77ed436
:6ded09a8a2934ad01a2f5158d19e143a88c92f65
:996256103488d607186d8aa24d878f8bc3be2538
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:cb93827d24ff0396fdb01db5f2d29492f7ce2b8e
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:8762c0d50acaac085fbf4b8570e364a377b04be3
:516204cfc31148538d56b21e2f1b945ed50127d4
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:2fefeb6cbae0c846f4c8bb652db12dd35776e880
:3b4cdba706d56ce02a9a437efa1af09e12a17d1f
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:87712be648d2d43ea4cd002fe7a859df636f1e13
:8d098f6bb781c1632177cd60d738076b83e0c0d3
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:99c23b21038c62b0628b93610fb54c5900c40ffd
:3d60535f052babb998bae4807bc992c5d15df5c4
:420cc38bca4cd278f4644f7c2d9fe6291e4cb2fa
:3b9caf8ab02159247ee088444e543e7f4cf39b7f
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:929d271f51370434d6e9f63b74694fb424470462
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8ef76e03554d5de12a0676944306cf7550cc00a2
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:daa526396c83927c3c9d923e62a4272af462a989
:ddedb6d996553a80d3e0f529ea52e109bcd25d2d
:faca16f15d87b83d2947a386e319b02f724dcbb5
:f534feded388130df4a9e789eec1e38c320bc55b
:b3931bd6561ee574a78fa779975e98b01e5cec56
:596aae58994fedd7e1612cc080f5c31c2ac90773
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:4d09d82785dab5f95c01b69bc0785145a5954d30
:31243d0d107bba586a96433c76c87a26db1e826c
:22bd2ca19cdf4a1bb3126a67597f0e2bc8d2cfdb
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1a0c09f270adf8398df4362ce0acfafc1f970982
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:7c35310fc506498c612d5d982ab03becc4b4817c
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:698329db65d8bab451531299e7384ecf28c70b93
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:247132297f287226a24c12e683292f5c94013066
:8b33feb27b2125997520fdd21c90c42a65e438f1
:7924254fc86a30dba3462c2f5b50f8ef57222eda
:b277af36744327e3d58eae76bcdaadcca71a28c6
:127f8958b602715234a02b88adb08afd9e34c203
:508cf66f72e70054a41215f80ed2385c6bb80030
:6657c0450e5293a7b4e46a8c4c2f25411d421294
:a553a7e9625a224a8f39286909adc17787ad51bd
:460250ea1b83b2d85501fb46a2161080300cdc58
:461631fb858a21eed36abeeb5fc92ae05bbd098c
:1e1e272d3373df4ab75f88b19b3b0241be176d05
:392fa828498fffc01c8d809f47a6602d1d144973
:73777e822e00ca152ffca281ab0ace0cb498ec48
:34d1332ba0bf10e9e9099a93316d5b9744ef014d
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:d9f4cd3e883a41126d7d509f2e12da937d297c5d
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:5350b5972464f66f404861dc50225a114a2a5e7e
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/maxyan/2

core_backtrace:
:6ded09a8a2934ad01a2f5158d19e143a88c92f65 0x1f64d - libgtksourceview-3.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x208ce - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x21a38c gtk_text_buffer_insert_interactive libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x21a44f gtk_text_buffer_insert_interactive_at_cursor libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x23e307 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x124a7 g_cclosure_marshal_VOID__STRINGv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x124a7 g_cclosure_marshal_VOID__STRINGv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1629c0 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1631e7 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x164fae - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x23f43a - libgtk-3.so.0 -
:6ded09a8a2934ad01a2f5158d19e143a88c92f65 0x4dca2 - libgtksourceview-3.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf5a3 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bca43 gtk_window_propagate_key_event libgtk-3.so.0 -
:daa526396c83927c3c9d923e62a4272af462a989 0x952b - [exe] -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178ea5 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:daa526396c83927c3c9d923e62a4272af462a989 0x7735 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=kubik-main
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/maxyan/keyring-K8C4me
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=maxyan
:USERNAME=maxyan
:MAIL=/var/spool/mail/maxyan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/maxyan/.local/bin:/home/maxyan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/maxyan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=831
:LANG=pl_PL.utf8
:GDM_LANG=pl_PL.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/maxyan
:SHLVL=1
:LOGNAME=maxyan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UATbXlhDdt,guid=91d8c716d003fadc2f2c759b0000009c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/maxyan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-maxyan-42kcVY/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/835,unix/unix:/tmp/.ICE-unix/835
:SSH_AUTH_SOCK=/run/user/maxyan/keyring-K8C4me/ssh
:GPG_AGENT_INFO=/run/user/maxyan/keyring-K8C4me/gpg:0:1
:LC_TIME=pl_PL.utf8
:LC_NUMERIC=pl_PL.utf8
:LC_MONETARY=pl_PL.utf8
:LC_MEASUREMENT=pl_PL.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1827
:DESKTOP_STARTUP_ID=gnome-shell-1054-kubik-main-anjuta-2_TIME3256289

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15855                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15855                15855                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/maxyan/.xsession-errors
:2:/home/maxyan/.xsession-errors
:3:socket:[388930]
:4:anon_inode:[eventfd]
:5:socket:[388935]
:6:socket:[388937]
:7:anon_inode:[eventfd]
:8:/home/maxyan/.cache/anjuta/.anjuta_sym_db.db
:9:anon_inode:[eventfd]
:10:anon_inode:inotify
:11:/home/maxyan/.local/share/gvfs-metadata/home
:12:/home/maxyan/gtk-vala/.anjuta_sym_db.db
:13:anon_inode:[eventfd]
:14:/home/maxyan/.local/share/gvfs-metadata/home-108479bd.log
:15:pipe:[394844]
:16:socket:[391313]
:17:anon_inode:[eventfd]
:18:/dev/ptmx
:19:/dev/pts/1
:20:/dev/shm/anjuta-1827_13394470050.tags
:21:pipe:[394845]
:22:pipe:[695461]
:23:/dev/ptmx
:24:/dev/ptmx
:25:pipe:[695462]
:26:/dev/pts/3
:27:/dev/ptmx

var_log_messages:
:Jun 11 23:03:44 kubik-main kernel: [ 4907.951364] anjuta[1827]: segfault at dd5c054c ip 0000003b3b01f64d sp 00007fff87fd3100 error 4 in libgtksourceview-3.0.so.0.0.0[3b3b000000+72000]
:Jun 11 23:03:46 kubik-main abrt[2560]: Saved core dump of pid 1827 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-06-11-23:03:44-1827 (203513856 bytes)
Comment 1 Paul 2012-06-11 17:08:06 EDT
Created attachment 591026 [details]
File: backtrace
Comment 2 Paul 2012-06-11 17:08:08 EDT
Created attachment 591027 [details]
File: maps
Comment 3 Paul 2012-06-11 17:08:11 EDT
Created attachment 591028 [details]
File: dso_list
Comment 4 Johannes Schmid 2012-06-12 16:22:02 EDT
Looks quite like
https://bugzilla.gnome.org/show_bug.cgi?id=675593

Sorry, we will don't have a solution for this, it's a tricky multi-threading issue.
Comment 6 Fedora End Of Life 2013-07-03 20:24:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 00:04:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.